# Interface PlotMetric

public interface PlotMetric
Calculates distances in data space between points on a plot surface.

Since:
  23 Jan 2019
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`LabelledLine[]`
`getMeasures(Surface surf, Point2D gpos0, Point2D gpos1)`
Returns a list of zero or more labelled line segments that indicate measures of distance between two user-selected points.

## Method Details

### getMeasures

LabelledLine[] getMeasures(Surface surf, Point2D gpos0, Point2D gpos1)
Returns a list of zero or more labelled line segments that indicate measures of distance between two user-selected points. The line labels should be human-readable indications of distances in data space. The returned lines may for instance include a vector between the supplied positions, or components of such a vector.

Behaviour is undefined if the surface is not the type expected by this metric.

Parameters:
  `surf` - plot surface
  `gpos0` - first point
  `gpos1` - second point
Returns:
  array of zero or more labelled line segments